Package org.apache.sling.distribution.journal.kafka

## Class KafkaPoller

- java.lang.Object
- - org.apache.sling.distribution.journal.kafka.KafkaPoller

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

    public class KafkaPoller
    extends Object
    implements Closeable

### Constructor Summary

Constructors
`KafkaPoller​(org.apache.kafka.clients.consumer.KafkaConsumer<String,​String> consumer, org.apache.sling.distribution.journal.ExceptionEventSender eventSender, List<org.apache.sling.distribution.journal.HandlerAdapter<?>> adapters)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `handle​(org.apache.kafka.clients.consumer.ConsumerRecord<String,​String> record)`
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KafkaPoller

    public KafkaPoller​(org.apache.kafka.clients.consumer.KafkaConsumer<String,​String> consumer,
                       org.apache.sling.distribution.journal.ExceptionEventSender eventSender,
                       List<org.apache.sling.distribution.journal.HandlerAdapter<?>> adapters)

### Method Detail

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Throws:
  `IOException`

#### run

    public void run()

#### handle

    public void handle​(org.apache.kafka.clients.consumer.ConsumerRecord<String,​String> record)